Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## grails.persistence
Enum Event

    java.lang.Object
      java.lang.Enum<Event>
          grails.persistence.Event

All Implemented Interfaces:
  Serializable, Comparable<Event>

    public enum Event

extends Enum<Event>

Enum of the available events that Grails triggers

Since:
  1.2
Author:
  Graeme Rocher

Enum Constant Summary
`afterDelete`
`afterInsert`
`afterLoad`
`afterUpdate`
`beforeDelete`
`beforeInsert`
`beforeLoad`
`beforeUpdate`
`onLoad`
`onSave`

Method Summary
`static String[]` | `getAllEvents()`
`static Event` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Event[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### onLoad

    public static final Event onLoad

### onSave

    public static final Event onSave

### beforeLoad

    public static final Event beforeLoad

### beforeInsert

    public static final Event beforeInsert

### beforeUpdate

    public static final Event beforeUpdate

### beforeDelete

    public static final Event beforeDelete

### afterLoad

    public static final Event afterLoad

### afterInsert

    public static final Event afterInsert

### afterUpdate

    public static final Event afterUpdate

### afterDelete

    public static final Event afterDelete

Method Detail

### values

    public static Event[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Event c : Event.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Event valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getAllEvents

    public static String[] getAllEvents()

  Returns:
    The names of all persistence events

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD